Package it.ernytech.tdlib

## Class TdApi.PaymentResult

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.PaymentResult

Enclosing class:
  TdApi

    public static class TdApi.PaymentResult
    extends TdApi.Object

Contains the result of a payment request.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `success` True, if the payment request was successful; otherwise the verificationUrl will be not empty.
`java.lang.String` `verificationUrl` URL for additional payment credentials verification.

### Constructor Summary

Constructors
`PaymentResult()` Default constructor.
`PaymentResult​(boolean success, java.lang.String verificationUrl)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### success

    public boolean success

True, if the payment request was successful; otherwise the verificationUrl will be not empty.

#### verificationUrl

    public java.lang.String verificationUrl

URL for additional payment credentials verification.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### PaymentResult

    public PaymentResult()

Default constructor.

#### PaymentResult

    public PaymentResult​(boolean success,
                         java.lang.String verificationUrl)

Constructor for initialization of all fields.

Parameters:
  `success` - True, if the payment request was successful; otherwise the verificationUrl will be not empty.
  `verificationUrl` - URL for additional payment credentials verification.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR